Page MenuHomePhabricator

replace schema change tracking task T51188 by project #blocked-on-schema-change
Closed, ResolvedPublic

Description

Name: Blocked-on-schema-change
Description: Database schema changes for WMF production wikis
Type of Project: Release is the closest, though schema changes don't necessarily coincide with MW releases if they can be disabled in config.
Policy: default

Event Timeline

Springle created this task.Apr 28 2015, 1:29 PM
Springle raised the priority of this task from to Needs Triage.
Springle updated the task description. (Show Details)
Springle added a project: Project-Admins.
Springle added a subscriber: Springle.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 28 2015, 1:29 PM
Aklapper renamed this task from replace schema change tracking T51188 to replace schema change tracking task T51188 by project.Apr 29 2015, 10:50 AM
Aklapper set Security to None.

Name: Database-Schema-Changes ?

As pointed out in T51188#1339454, Schema-change already exists. Wondering if that should become #MediaWiki-Schema-Change and this request #Wikimedia-Schema-Change ? But all together that's pretty confusing.

Better proposals very welcome here.

Aklapper changed the task status from Open to Stalled.Aug 21 2015, 11:04 PM

Again: Better proposals very welcome here.

Until that happens, setting task status to "stalled".

Aklapper triaged this task as Low priority.Aug 21 2015, 11:04 PM

This task is stalled for more than one year. There's not much backlog in our workboard but maybe we can have a decision on this one?

I'd love to see feedback from the DBA folks (as the project desc lists "Validating and executing schema changes") if they care (also in combination with Blocked-on-schema-change)

As that task is already invalid now, invalid this too?

Aklapper renamed this task from replace schema change tracking task T51188 by project to replace schema change tracking task T51188 by project #blocked-on-schema-change.Nov 26 2018, 12:58 AM
Aklapper closed this task as Resolved.
Aklapper updated the task description. (Show Details)

Indeed, Blocked-on-schema-change has superseded this. Thanks for catching!